[mypy]
python_version = 3.10
ignore_missing_imports = True

strict_optional = True
disallow_untyped_calls = True
disallow_untyped_defs = True
disallow_incomplete_defs = True
check_untyped_defs = True
disallow_subclassing_any = True
disallow_untyped_decorators = True
warn_redundant_casts = True
warn_return_any = True
warn_unused_ignores = True
warn_unused_configs = True
no_implicit_optional = True

[mypy-*.tests.*]
; pytest decorators are not typed
disallow_untyped_decorators = False
